# Google Cloud DNS API . projects

## Instance Methods

Fetch the representation of an existing Project.

### Method Details

`get(project)`

    Fetch the representation of an existing Project.

    Args:
      project: string, Identifies the project addressed by this request. (required)

    Returns:
      An object of the form:

        { # A project resource. The project is a top level container for resources including Cloud DNS ManagedZones. Projects can be created only in the APIs console.
        "quota": { # Limits associated with a Project. # Quotas assigned to this project (output only).
          "kind": "dns#quota", # Identifies what kind of resource this is. Value: the fixed string "dns#quota".
          "rrsetAdditionsPerChange": 42, # Maximum allowed number of ResourceRecordSets to add per ChangesCreateRequest.
          "totalRrdataSizePerChange": 42, # Maximum allowed size for total rrdata in one ChangesCreateRequest in bytes.
          "resourceRecordsPerRrset": 42, # Maximum allowed number of ResourceRecords per ResourceRecordSet.
          "rrsetsPerManagedZone": 42, # Maximum allowed number of ResourceRecordSets per zone in the project.
          "rrsetDeletionsPerChange": 42, # Maximum allowed number of ResourceRecordSets to delete per ChangesCreateRequest.
          "managedZones": 42, # Maximum allowed number of managed zones in the project.
        },
        "kind": "dns#project", # Identifies what kind of resource this is. Value: the fixed string "dns#project".
        "id": "A String", # User assigned unique identifier for the resource (output only).
        "number": "A String", # Unique numeric identifier for the resource; defined by the server (output only).
      }